| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
OffsetValueSeries< T > Class Template Reference
Basic

ValueSeries of offsets. More...

`#include <valseriesimpl.h>`

Inheritance diagram for OffsetValueSeries< T >:
[legend]

## Public Member Functions
| OffsetValueSeries (const ValueSeries< T > &src, od_int64 off, od_int64 sz)
| OffsetValueSeries (ValueSeries< T > &src, od_int64 off, od_int64 sz)
const T * | arr () const override
T * | arr () override
bool | canSetAll () const override
ValueSeries< T > * | clone () const override
od_int64 | getOffset () const
void | setAll (T) override
void | setEmpty () override
void | setOffset (od_int64 no)
bool | setSize (od_int64 sz) override
void | setValue (od_int64 idx, T v) override
od_int64 | size () const override
const ValueSeries< T > & | source () const
T | value (od_int64 idx) const override
bool | writable () const override
Public Member Functions inherited from ValueSeries< T >
virtual | ~ValueSeries ()
virtual char | bytesPerItem () const
void | getValues (T *, od_int64 nrvals) const
void | getValues (ValueSeries< T > &, od_int64 nrvals) const
virtual bool | isOK () const
T | operator[] (od_int64 idx) const
virtual bool | reSizeable () const
virtual bool | selfSufficient () const

## Protected Attributes
od_int64 | cursize_ = 0
od_int64 | off_
ValueSeries< T > & | src_
bool | writable_

## Detailed Description

template<class T>
class OffsetValueSeries< T >

ValueSeries of offsets.

<>

## Constructor & Destructor Documentation

## ◆ OffsetValueSeries() [1/2]

template<class T >

OffsetValueSeries< T >::OffsetValueSeries | ( | ValueSeries< T > & | src,
|  | od_int64 | off,
|  | od_int64 | sz )
| inline

## ◆ OffsetValueSeries() [2/2]

template<class T >

OffsetValueSeries< T >::OffsetValueSeries | ( | const ValueSeries< T > & | src,
|  | od_int64 | off,
|  | od_int64 | sz )
| inline

## Member Function Documentation

## ◆ arr() [1/2]

template<class T >

const T * OffsetValueSeries< T >::arr | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ arr() [2/2]

template<class T >

T * OffsetValueSeries< T >::arr | ( |  | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ canSetAll()

template<class T >

bool OffsetValueSeries< T >::canSetAll | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ clone()

template<class T >

ValueSeries< T > * OffsetValueSeries< T >::clone | ( |  | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ getOffset()

template<class T >

od_int64 OffsetValueSeries< T >::getOffset | ( |  | ) | const
| inline

## ◆ setAll()

template<class T >

void OffsetValueSeries< T >::setAll | ( | T | v | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ setEmpty()

template<class T >

void OffsetValueSeries< T >::setEmpty | ( |  | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ setOffset()

template<class T >

void OffsetValueSeries< T >::setOffset | ( | od_int64 | no | ) |
| inline

## ◆ setSize()

template<class T >

bool OffsetValueSeries< T >::setSize | ( | od_int64 | sz | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ setValue()

template<class T >

void OffsetValueSeries< T >::setValue | ( | od_int64 | idx,
|  | T | v )
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ size()

template<class T >

od_int64 OffsetValueSeries< T >::size | ( |  | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ source()

template<class T >

const ValueSeries< T > & OffsetValueSeries< T >::source | ( |  | ) | const
| inline

## ◆ value()

template<class T >

T OffsetValueSeries< T >::value | ( | od_int64 | idx | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ writable()

template<class T >

bool OffsetValueSeries< T >::writable | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## Member Data Documentation

## ◆ cursize_

template<class T >

od_int64 OffsetValueSeries< T >::cursize_ = 0
| protected

## ◆ off_

template<class T >

od_int64 OffsetValueSeries< T >::off_
| protected

## ◆ src_

template<class T >

ValueSeries<T>& OffsetValueSeries< T >::src_
| protected

## ◆ writable_

template<class T >

bool OffsetValueSeries< T >::writable_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025